%define oname   rake-compiler

Name:       ruby-%{oname}
Version:    0.7.7
Release:    %mkrel 1
Summary:    Rake-based Ruby Extension (C, Java) task generator
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/luislavena/rake-compiler
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Provide a standard and simplified way to build and package
Ruby extensions (C, Java) using Rake as glue.

%files
%defattr(-, root, root, -)
%{_bindir}/rake-compiler
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

# fix shebang
find %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
  -type f -exec sed -i '/^#!/d' {} \;

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 09 2011 shikamaru <shikamaru> 0.7.7-1.mga1
+ Revision: 82577
- new version 0.7.7

* Tue Mar 22 2011 shikamaru <shikamaru> 0.7.6-1.mga1
+ Revision: 75723
- New version 0.7.6

* Tue Jan 25 2011 shikamaru <shikamaru> 0.7.5-3.mga1
+ Revision: 39614
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 0.7.5-2.mga1
+ Revision: 34692
- imported package ruby-rake-compiler


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.7.5-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policies

* Sat Dec 18 2010 Rémy Clouard <shikamaru@mandriva.org> 0.7.5-1mdv2011.0
+ Revision: 622891
- Bump release
- new version 0.7.5
- remove ugly hack now that dependencies are fixed

* Sat Dec 04 2010 Rémy Clouard <shikamaru@mandriva.org> 0.7.1-2mdv2011.0
+ Revision: 609237
- FIXME: make rubygem-rake-compiler installable
  The problem is that development dependencies include cucumber
  in version >= 0.4.4 and < 0.5 while we have 0.9.4
  and rspec >= 1.2.9 and < 1.3.0 while we have 2.0.1
  These are development dependencies so I assume it should work without it
  but a cleaner way would be to make it compatible with the versions we have
  but I didn?\226?\128?\153t have time to dig into it to see what would change.

* Thu Nov 04 2010 Rémy Clouard <shikamaru@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 593483
- import rubygem-rake-compiler
